Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # Swappable Struct Template Reference [Basic Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename T> struct boost::gil::Swappable< T >
    auto concept Swappable<typename T> {
        void swap(T&,T&);
    };
## Public Member Functions
void | constraints ()
## Public Attributes
T | x
T | y
The documentation for this struct was generated from the following file: gil_concept.hpp